Bug 1313205 - mockchain -a <metalink> fails on strange "not a btrfs filesystem" error
mockchain -a <metalink> fails on strange "not a btrfs filesystem" error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 03:12 EST by clime
Modified: 2016-12-20 14:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:08:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock results directory (60.00 KB, application/x-tar)
2016-03-01 03:12 EST, clime
no flags Details

  None (edit)
Description clime 2016-03-01 03:12:39 EST
Created attachment 1131817 [details]
mock results directory

This builds the package successfully: 

mockchain -a 'http://mirror.slu.cz/fedora/linux/updates/testing/23/x86_64/' -r fedora-23-x86_64 copr-prune-repo-1.4-1.fc23.src.rpm

This doesn't:

mockchain -a 'http://mirrors.fedoraproject.org/metalink?repo=updates-testing-f23&arch=x86_64' -r fedora-23-x86_64 copr-prune-repo-1.4-1.fc23.src.rpm

---
The end of stdout output:

Start: clean chroot
Finish: clean chroot
ERROR: Command failed. See logs for output.
 # /usr/bin/yum-deprecated --installroot /var/lib/mock/fedora-23-x86_64-clime-24764/root/ --releasever 23 install @buildsys-build --setopt=tsflags=nocontexts
End build: copr-prune-repo-1.4-1.fc23.src.rpm
Error building copr-prune-repo-1.4-1.fc23.src.rpm.
See logs/results in /var/tmp/mock-chain-clime-24764-x0klr7yi/results/fedora-23-x86_64
Results out to: /var/tmp/mock-chain-clime-24764-x0klr7yi/results/fedora-23-x86_64
Pkgs built: 0

---
The end of root.log for the build:

DEBUG util.py:474:  Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-23-x86_64-clime-24764/root/proc'] with env {'SHELL': '/bin/sh', 'LANG': 'en_US.UTF-8', 'HOME': '/builddir', 'TERM': 'vt100', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock'} and shell False
DEBUG util.py:521:  Child return code was: 0
DEBUG util.py:541:  child environment: None
DEBUG util.py:474:  Executing command: ['btrfs', 'subv', 'list', '/var/lib/mock'] with env {'SHELL': '/bin/sh', 'LANG': 'en_US.UTF-8', 'HOME': '/builddir', 'TERM': 'vt100', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock'} and shell False
DEBUG util.py:399:  ERROR: not a btrfs filesystem: /var/lib/mock
DEBUG util.py:399:  ERROR: can't access '/var/lib/mock'
DEBUG util.py:521:  Child return code was: 1

The directory with mocks configs and results is attached. Note that the repository is not actually needed for the copr-prune-repo package to be built.

---
I would expect metalinks to work or at least I would expect mock to give some better diagnostic message (the btrfs message seems unrelated).
Comment 1 Miroslav Suchý 2016-05-12 06:47:08 EDT
The error about btrfs is really unrelated and it printed when we detect if the volume is BTRFS which needs special handling. Next version will have there notice:
  Please ignore the error above above about btrfs.

So the real error is:
   Error: requested datatype primary not available
and that metalink was down for a moment.

I agree that yum should give better message. But that is problem of yum, and mock cannot change it. Normally I would change the ownership of this report to yum, but since it is in maintenance mode now, there is zero chance that there will be some change.

If something like this will happen with DNF then it can be addressed by DNF team.
Comment 2 clime 2016-07-28 06:35:14 EDT
(In reply to Miroslav Suchý from comment #1)
> The error about btrfs is really unrelated and it printed when we detect if
> the volume is BTRFS which needs special handling. Next version will have
> there notice:
>   Please ignore the error above above about btrfs.
> 
> So the real error is:
>    Error: requested datatype primary not available
> and that metalink was down for a moment.

Then the metalink needs to be down every time I run the command either locally or through COPR. No, I think the reason for metalinks not working is different.
Comment 3 Fedora End Of Life 2016-11-24 10:51:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 14:08:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.